# cardboardci/base

cardboardci/base is a Docker image built with continuous integration builds in mind. This image serves as a base image for all CardboardCI images. The image is intended to supply all common dependencies for continuous integration images.

This image should be used as a base image for all CardboardCI images to avoid unique image configurations that do not work as expected.

## Getting Started

This image can be used with the docker type for different types of continuous integration platforms. For example:

```yml
# GitHub Actions
jobs:
    my_first_job:
        steps:
            - name: My first step
              uses: docker://ghcr.io/cardboardci/base:edge
              with:
                  args: "echo hello"
```

### Pull latest image

The edge or latest version of the image is available with the tag `edge`. This isn't intended to long term use, but for working with the latest version of the image. To pull the latest image, run the following:

```bash
docker pull ghcr.io/cardboardci/base:edge
```

### Test interactively

Sometimes it can be useful to run the image in an interactive shell for experimentation. To shell into an image, run the following:

```bash
docker run -it ghcr.io/cardboardci/base:edge /bin/bash
```

### Run a basic command

To run a single command from the context of the docker image, run the following:

```bash
docker run -it -v `pwd`:/workspace ghcr.io/cardboardci/base:edge aws --version
```
